import { z } from "zod";
export declare class Step<TStepId extends string = any, TSchemaIn extends z.ZodSchema = any, TSchemaOut extends z.ZodSchema = any> {
    id: TStepId;
    inputSchema?: TSchemaIn;
    outputSchema?: TSchemaOut;
    payload?: Partial<z.infer<TSchemaIn>>;
    action?: (args: z.infer<TSchemaIn>) => z.infer<TSchemaOut>;
    constructor({ id, inputSchema, outputSchema, payload, action }: {
        id: TStepId;
        inputSchema?: TSchemaIn;
        outputSchema?: TSchemaOut;
        payload?: Partial<z.infer<TSchemaIn>>;
        action?: (args: z.infer<TSchemaIn>) => z.infer<TSchemaOut>;
    });
}
